Bug 864015 - Some environment variables are not removed after migration
Some environment variables are not removed after migration
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 07:23 EDT by Jianwei Hou
Modified: 2015-05-14 19:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:47:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2012-10-08 07:23:46 EDT
Description of problem:
After migration, some environment variables are not removed

Version-Release number of selected component (if applicable):
on devenv-stage_239

How reproducible:
Always

Steps to Reproduce:
1. Launch an old instance(devenv-stage_239) and prepare test data on it
2. Do server ugprade and migration
3. ssh into app, check new environment variables are created, and old environment variables are removed.
  
Actual results:
After migration, the following env vars still exists:

Mongo:
OPENSHIFT_NOSQL_DB_HOST
OPENSHIFT_NOSQL_DB_PASSWORD
OPENSHIFT_NOSQL_DB_PORT
OPENSHIFT_NOSQL_DB_SOCKET
OPENSHIFT_NOSQL_DB_URL
OPENSHIFT_NOSQL_DB_USERNAME

mysql:
OPENSHIFT_DB_HOST
OPENSHIFT_DB_PASSWORD
OPENSHIFT_DB_PORT
OPENSHIFT_DB_SOCKET
OPENSHIFT_DB_URL
OPENSHIFT_DB_USERNAME

Expected results:
The Above env vars should be removed

Additional info:
Comment 1 Mrunal Patel 2012-10-08 10:31:56 EDT
These variables are not removed after migration but are translated since
existing application code may still be using them.
Comment 2 Jianwei Hou 2012-10-09 06:09:24 EDT
Verified on devenv-stage_239

After migration, these env vars translated instead of removed

Note You need to log in before you can comment on or make changes to this bug.